### Method

# Gimp Config deserialize_string

since: 2.4

#### Declaration [src]

    gboolean
    gimp_config_deserialize_string (
      GimpConfig* config,
      const gchar* text,
      gint text_len,
      gpointer data,
      GError** error
    )

#### Description [src]

Configures `config` from `text`. Basically this function creates a properly configured `GScanner` for you and calls the deserialize function of the `config`‘s `GimpConfigInterface`.

Available since: 2.4

#### Parameters

`text`

  Type: An array of `gchar`

  String to deserialize (in UTF-8 encoding)

  The length of the array is specified in the `text_len` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`text_len`

  Type: `gint`

  Length of `text` in bytes or -1

`data`

  Type: `gpointer`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if deserialization succeeded, `FALSE` otherwise.